Subject: bug#13954: Emacs for Windows: runemacs.exe launches Emacs behind other windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Mar 2013 09:46:33 +0200

Once again, PLEASE keep the bug address CC'ed to your messages, so
that this discussion is recorded by the bug tracker.

> Date: Fri, 15 Mar 2013 18:54:11 -0400
> From: Andrew Pennebaker <[email-masked]>
> 
> I use Emacs at work and at home. At work, I use Windows XP, at home, I use
> Windows 8. I use the same .emacs configuration file for both.
> 
> The only difference is Windows XP: That one has Emacs appearing behind
> other windows. I cannot reproduce this on my Windows 8 computer.

I'm confused.  The original report said:

  This occurs in Windows XP up to Windows 8, with Emacs v24.2.1.

I though this meant you see this on XP, Windows 7, and Windows 8.  Did
I misunderstand?

I don't have access to Windows 8, but since you say the problem
doesn't exist there, that's not important.

> I thought you would be curious about the gb.bat, in case it caused
> conflicts. The contents of gb.bat are:
> 
> sh --login -i

That's what I have in the Properties of the desktop icon that opens
the MsysGit Bash terminal window on my XP system.  So we do the same
thing to start the shell.  And I cannot reproduce the problem even
when I invoke runemacs from MsysGit Bash.

> That's it. And I use it at work and at home. I repeat, the problem appears
> to be limited to Windows XP.

Can you please answer my other questions:

 . What version of MsysGit do you have installed on XP?

 . Does the problem happen when you invoke "runemacs -Q file"?

 . Does the problem happen when you invoke runemacs NOT from the
   MsysGit shell?

Thanks.